%define name	bonobo-conf
%define ver		0.14
%define rel		1
%define prefix  %{_prefix}

Name:		%name
Summary:	Bonobo configuration moniker.
Version: 	%ver
Release: 	%rel
Copyright: 	GPL
Group:		System Environment/Libraries
Patch0:		%{name}-%{ver}-aix.patch
URL: 		http://www.gnome.org/
Source:		ftp://ftp.gnome.org/pub/GNOME/stable/source/%{name}/%{name}-%{ver}.tar.gz
BuildRoot:	/var/tmp/%{name}-%{ver}-root
Requires:       bonobo >= 1.0.0

%description
Bonobo configuration moniker.

%package devel
Summary:	Libraries and include files for the configuration moniker.
Group:		Development/Libraries
Requires:	%name = %{PACKAGE_VERSION}

%description devel
This package provides the necessary development libraries and include
files to allow you to develop programs using the Bonobo configuration moniker.

%changelog
* Mon Nov 12 2001 Dan Nguyen <dnn@austin.ibm.com>
- Initial AIX packaging

* Wed Jun 06 2001 Jens Finke <jens@gnome.org>
- created spec file

%prep
%setup -q
%patch0 -p1 -b .aix
automake -i bonobo-conf/Makefile

%build
RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS | sed 's:-fsigned-char::'`

CFLAGS="$RPM_OPT_FLAGS" CC=cc LDFLAGS='-Wl,-brtl' ./configure --prefix=%{prefix}
make

%install
make install prefix=$RPM_BUILD_ROOT%{prefix} install

(cd $RPM_BUILD_ROOT/opt/freeware/bin
for f in `file * | grep 'not strip' | awk -F ':' '{print $1}'`
do
	/usr/bin/strip $f
done
)

(cd $RPM_BUILD_ROOT
 for dir in bin lib include
 do
    mkdir -p usr/$dir
    cd usr/$dir
    ln -sf ../..%{_prefix}/$dir/* .
    cd -
 done
)


%clean

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
/usr/bin/*
%{_libdir}/bonobo/monikers
%{_libdir}/*.sh
%{_libdir}/lib*.so.*
%{_libdir}/lib*.so
%{_libdir}/lib*.a
/usr/lib/lib*.so.*
/usr/lib/lib*.so
/usr/lib/lib*.a
/usr/lib/*.sh
/usr/lib/bonobo/monikers
%{_datadir}/idl/*.idl
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/oaf/*.oaf

%files devel
%defattr(-, root, root)
%{_includedir}/bonobo-conf
/usr/include/bonobo-conf
%{_libdir}/lib*.la
/usr/lib/lib*.la


